=== debian/changelog ===
re2 (20170101+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 Jan 2017 07:43:51 +1100

re2 (20161101+dfsg-2) unstable; urgency=medium

  * Missed a 32-bit symbol change (an int -> size_t).
  * Drop valgrind Build-Dep, upstream now uses MSan.
  * Upstream changed their hash function, drop mention of hash.cc in
    copyright.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Nov 2016 23:59:43 +0000

re2 (20161101+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Another upstream ABI break, which we can roll into our -3 ABI.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Nov 2016 19:02:52 +0000

re2 (20160801+dfsg-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
  * SONAME bump, upstream removed some symbols.
  * Avoid GCC 6 regression in flexible array members.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 Aug 2016 13:17:10 -0700
