## re2 20180201%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dpkg-dev (>= 1.16~),
  g++ (>= 4:5),
  python,
  unicode-data
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/google/re2
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/re2.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/re2.git
+Vcs-Git: https://salsa.debian.org/debian/re2.git
+Vcs-Browser: https://salsa.debian.org/debian/re2
+Rules-Requires-Root: no
 
-Package: libre2-3
+Package: libre2-4
 Architecture: any
 Multi-Arch: same
 Breaks: libre2-dev (<< 20131024+dfsg-1~)
@@ -40,7 +41,7 @@
 Architecture: any
 Breaks: libre2-0 (<< 0+hg40+dfsg-1~)
 Replaces: libre2-0 (<< 0+hg40+dfsg-1~)
-Depends: libre2-3 (= ${binary:Version}), ${misc:Depends}
+Depends: libre2-4 (= ${binary:Version}), ${misc:Depends}
 Built-Using: ${Built-Using}
 Description: efficient, principled regular expression library, development kit
  RE2 is a fast, safe, thread-friendly alternative to backtracking regular
