=== debian/changelog ===
re2 (20180201+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 23 Feb 2018 10:44:39 +0100

re2 (20180201+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright.
  * Bump debhelper compat level to 11.
    - Should now pass dpkg-builflags, itself.
    - Uses --parallel by default.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Migrate VCS hosting to salsa.debian.org.
  * Bump soname - a symbol was removed.
    - Upload to experimental for the transition.
  * Declare Rules-Requires-Root: no.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 22 Feb 2018 10:56:48 +0100
