=== debian/rules ===
--- 
+++ 
@@ -2,21 +2,16 @@
 
 export DEB_CXXFLAGS_MAINT_APPEND=-pthread -Wall -std=c++11
 export DEB_LDFLAGS_MAINT_APPEND=-pthread
-CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)
+export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LIB_PKG = libre2-3
+LIB_PKG = libre2-4
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	                 CPPFLAGS="$(CPPFLAGS)" REBUILD_TABLES=1
-
-override_dh_auto_test:
-	dh_auto_test -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	                CPPFLAGS="$(CPPFLAGS)"
+	dh_auto_build -- REBUILD_TABLES=1
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
