## re2 20180701+dfsg

=== debian/changelog ===
re2 (20180701+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.1.5, no changes needed.
  * Add a new symbol.
  * Add risc64 to the long_size_t symbols, thanks Manuel A. Fernandez
    Montecelo (Closes: #897256)
  * Ship the .pc file, thanks Emanuele Rocca. (Closes: #900638)
  * Remove --ddeb-migration, no longer needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 23 Jul 2018 19:27:36 +0800

re2 (20180301+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 03 Mar 2018 12:42:20 -0800
