=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  g++ (>= 4:5),
  python,
  unicode-data
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2
