=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,5 @@
 override_dh_installdocs:
 	dh_installdocs --link-doc=$(LIB_PKG)
 
-override_dh_strip:
-	dh_strip --ddeb-migration='$(LIB_PKG)-dbg (<< 20151101+dfsg-2~)'
-
 override_dh_gencontrol:
 	dh_gencontrol -- -VBuilt-Using='$(shell dpkg-query -f'$${source:Package} (= $${source:Version})' -W unicode-data)'
-
-VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')
-
-get-packaged-orig-source:
-	uscan --noconf --rename --download-current-version --compression=xz --destdir=.
