## re2 20190101+dfsg

=== debian/changelog ===
re2 (20190101+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 07 Jan 2019 19:16:34 +0200

re2 (20190101+dfsg-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Update symbols.
  * Bump soname - a symbol was removed.
    - Upload to experimental for the transition.
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Mark libre2-dev Multi-Arch: same.
  * Declare Build-Depends-Package in the symbols file.

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

 -- Stefano Rivera <stefanor@debian.org>  Wed, 02 Jan 2019 08:44:36 +0000

re2 (20180901+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 06 Sep 2018 17:26:27 +0300
