=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  g++ (>= 4:5),
  python,
  unicode-data
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2
 Rules-Requires-Root: no
 
-Package: libre2-4
+Package: libre2-5
 Architecture: any
 Multi-Arch: same
 Breaks: libre2-dev (<< 20131024+dfsg-1~)
@@ -39,9 +39,10 @@
 Package: libre2-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Breaks: libre2-0 (<< 0+hg40+dfsg-1~)
 Replaces: libre2-0 (<< 0+hg40+dfsg-1~)
-Depends: libre2-4 (= ${binary:Version}), ${misc:Depends}
+Depends: libre2-5 (= ${binary:Version}), ${misc:Depends}
 Built-Using: ${Built-Using}
 Description: efficient, principled regular expression library, development kit
  RE2 is a fast, safe, thread-friendly alternative to backtracking regular
