## re2 20190801+dfsg

=== debian/changelog ===
re2 (20190801+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Bump debhelper compat to 11, and use B-D syntax.
  * Add Build-Dep on python3-six, for building unicode tables.
  * Patch: Build unicode tables with python3.
  * Tidy up patch names.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 08 Aug 2019 13:16:01 -0300
