=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: re2
 Section: libs
 Priority: optional
-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  dpkg-dev (>= 1.16~),
@@ -9,7 +10,7 @@
  python3,
  python3-six,
  unicode-data
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2
