## re2 20200801+dfsg

=== debian/changelog ===
re2 (20200801+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add new && constructor symbols that GCC 10 generates.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 01 Aug 2020 20:48:22 -0700

re2 (20200706+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Jul 2020 17:20:44 -0700

re2 (20200706+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Upload to experimental, for the transition.
  * Bump SONAME to libre2-8, due to an enum renumbering.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 08 Jul 2020 11:11:33 -0700

re2 (20200601+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch 32bit-test-memory.patch, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 Jun 2020 09:18:24 -0700

re2 (20200501+dfsg-3) unstable; urgency=medium

  * Cherry-pick patch to fix FTBFS on 32bit archs. (Closes: #961236)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 May 2020 13:25:13 -0700

re2 (20200501+dfsg-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Upload to unstable.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 May 2020 11:35:34 -0700

re2 (20200501+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Upload to experimental, for the transition.
  * Bump SONAME to 7, due to a switch to std::vector in histogram functions.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 May 2020 15:23:59 -0700

re2 (20200401+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Apr 2020 22:56:44 -0700

re2 (20200303+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Mar 2020 07:50:14 -0700

re2 (20200303+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump SONAME to 6, following an upstream bump.
    - Drop soname.patch, upstream is now attempting ABI stability.
    - Upload to experimental for the transition.
  * Update copyright.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 02 Mar 2020 21:14:18 -0800
