=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LIB_PKG = libre2-5
+LIB_PKG = libre2-8
 
 %:
 	dh $@
